[arch-commits] Commit in muine/repos (3 files)

Jan de Groot jgc at archlinux.org
Fri May 8 15:41:16 EDT 2009


    Date: Friday, May 8, 2009 @ 15:41:16
  Author: jgc
Revision: 38495

Merged revisions 38494 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/muine/trunk

........
  r38494 | jgc | 2009-05-08 19:40:59 +0000 (Fri, 08 May 2009) | 2 lines
  
  upgpkg: muine 0.8.10-4
      Fix FS#13033
........

Added:
  muine/repos/extra-x86_64/bgo560077.patch
    (from rev 38494, muine/trunk/bgo560077.patch)
Modified:
  muine/repos/extra-x86_64/	(properties)
  muine/repos/extra-x86_64/PKGBUILD

-----------------+
 PKGBUILD        |   11 ++++++----
 bgo560077.patch |   56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+), 4 deletions(-)


Property changes on: muine/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /muine/trunk:1-27468
   + /muine/trunk:1-38494

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-08 19:40:59 UTC (rev 38494)
+++ extra-x86_64/PKGBUILD	2009-05-08 19:41:16 UTC (rev 38495)
@@ -4,20 +4,22 @@
 
 pkgname=muine
 pkgver=0.8.10
-pkgrel=3
+pkgrel=4
 pkgdesc="A music player written in C#"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.muine-player.org/"
-depends=('gnome-sharp>=2.24.0' 'gstreamer0.10-good-plugins' 'gstreamer0.10-base-plugins' 'desktop-file-utils' 'libgnomeui>=2.24.0' 'libid3tag' 'faad2>=2.7' 'ndesk-dbus-glib')
+depends=('gnome-sharp>=2.24.1' 'gstreamer0.10-good-plugins' 'gstreamer0.10-base-plugins' 'desktop-file-utils' 'libgnomeui>=2.24.1' 'libid3tag' 'faad2>=2.7' 'ndesk-dbus-glib')
 makedepends=('intltool' 'pkgconfig' 'gnome-icon-theme')
 optdepends=('gstreamer0.10-ugly-plugins: Extra media codecs'
             'gstreamer0.10-bad-plugins: Extra media codecs'
 	    'gstreamer0.10-ffmpeg: Extra media codecs')
 options=('!libtool' '!emptydirs' '!makeflags')
 install=muine.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.8/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('28e561388de1deebc6336f936bc74a73')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.8/${pkgname}-${pkgver}.tar.bz2
+	bgo560077.patch)
+md5sums=('28e561388de1deebc6336f936bc74a73'
+	 '282873898d8ffce96c1b3dcb5c88c428')
 
 build() {
 
@@ -25,6 +27,7 @@
   mkdir -p "${MONO_SHARED_DIR}"
  
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/bgo560077.patch" || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
               --disable-static --enable-gstreamer || return 1
   make || return 1

Copied: muine/repos/extra-x86_64/bgo560077.patch (from rev 38494, muine/trunk/bgo560077.patch)
===================================================================
--- extra-x86_64/bgo560077.patch	                        (rev 0)
+++ extra-x86_64/bgo560077.patch	2009-05-08 19:41:16 UTC (rev 38495)
@@ -0,0 +1,56 @@
+From ed0e81a673fbe09fa18622ff437c36075d33984d Mon Sep 17 00:00:00 2001
+From: Luis Medinas <lmedinas at gnome.org>
+Date: Mon, 10 Nov 2008 00:07:00 +0000
+Subject: Fix for bgo #560077 non-working buttons on Add Song/Album windows. Patch
+
+2008-11-09  Luis Medinas  <lmedinas at gnome.org>
+
+        * data/glade/AddWindow.glade:
+        * src/AddWindow.cs:
+
+        Fix for bgo #560077 non-working buttons on Add Song/Album
+windows.
+        Patch from Priit Laes <amd at store20.com>.
+
+
+
+svn path=/trunk/; revision=1236
+---
+diff --git a/data/glade/AddWindow.glade b/data/glade/AddWindow.glade
+index 0e72749..4b3ef0e 100644
+--- a/data/glade/AddWindow.glade
++++ b/data/glade/AddWindow.glade
+@@ -19,8 +19,6 @@
+   <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
+   <property name="focus_on_map">True</property>
+   <property name="has_separator">False</property>
+-  <signal name="response" handler="OnWindowResponse" last_modification_time="Tue, 04 Jan 2005 17:48:15 GMT"/>
+-  <signal name="delete_event" handler="OnWindowDeleteEvent" last_modification_time="Tue, 04 Jan 2005 17:48:11 GMT"/>
+ 
+   <child internal-child="vbox">
+     <widget class="GtkVBox" id="dialog-vbox1">
+diff --git a/src/AddWindow.cs b/src/AddWindow.cs
+index 0b602f6..eba501c 100644
+--- a/src/AddWindow.cs
++++ b/src/AddWindow.cs
+@@ -23,7 +23,7 @@ using System.Collections;
+ 
+ namespace Muine
+ {
+-	public abstract class AddWindow : Gtk.Window
++	public abstract class AddWindow : Gtk.Dialog
+ 	{
+ #region Enums
+ #region Enums.ResponseType
+@@ -116,6 +116,9 @@ namespace Muine
+ 			this.entry_container.Add (this.entry);
+ 
+ 			// List
++			this.Response               += OnWindowResponse;
++			this.DeleteEvent            += OnWindowDeleteEvent;
++
+ 			this.list.RowActivated      += OnRowActivated;
+ 			this.list.Selection.Changed += OnSelectionChanged;
+ 			scrolledwindow.Add (this.list);
+--
+cgit v0.8.2



More information about the arch-commits mailing list